#include <stdio.h>
#include <conio.h>
#include <math.h>

void main ()
{

	float m1, m2, m3, r12, r13, r23, e;

	clrscr();
	
	printf("introduce m1: ");
	scanf("%f", &m1);

	printf("introduce m2: ");
	scanf("%f", &m2);

	printf("introduce m3: ");
	scanf("%f", &m3);

	printf("introduce la distancia entre m1 y m2: ");
	scanf("%f", &r12);

	printf("introduce la distancia entre m1 y m3: ");
	scanf("%f", &r13);

	printf("introduce la distancia entre m2 y m3: ");
	scanf("%f", &r23);

	e=(6.67*pow(10,-11))*(m1*m2/r12+m2*m3/r23+m1*m3/r13);

	printf("la energĦa de cohesi˘n es: %e",e);

	getch();

}